Bug 91962 - temporary wrapper scripts in examples aren't working
temporary wrapper scripts in examples aren't working
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gtkglarea (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Owen Taylor
:
Depends On:
Blocks: FC3BugWeekTracker
  Show dependency treegraph
 
Reported: 2003-05-30 08:54 EDT by Paul Osmialowski
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-27 12:17:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Osmialowski 2003-05-30 08:54:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
Examples that are installed form rpm to /usr/share/doc/gtkglarea-1.2.2/examples
have wrapper shell scripts that are trying to find libraries in ../gtkgl/.libs
directory that don't exist. Inside of gtkglarea_demo.c file there's a hint how
to compile examples manually:
 * Compile command:
 *
 * gcc gtkglarea_demo.c `gtk-config --libs --cflags` -lMesaGL -lMesaGLU -lgtkgl
It won't work on RH9, since MesaGL and MesaGLU libraries are named GL and GLU,
so to work fine it should be changed to:
gcc gtkglarea_demo.c `gtk-config --libs --cflags` -lGL -lGLU -lgtkgl
or symbolic links should be provided by both Mesa rpms.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install gtkglares
2. go to /usr/share/doc/gtkglarea-1.2.2/examples
3. try to run any of shell scripts presented there


Actual Results:  [root@oyster example]# ./zktor
gcc: zktor.o: File not found
gcc: ../gtkgl/.libs/libgtkgl.so: File not found


Additional info:
Comment 1 Rik van Riel 2004-09-27 12:17:46 EDT
Red Hat Linux 9 is no longer maintained by Red Hat.  Gtkglarea is no
longer included in current releases, either.

Maybe the Fedora Legacy project is still interested in supporting this
code:  http://www.fedoralegacy.org/

Note You need to log in before you can comment on or make changes to this bug.